CentOS 3 / 4 : openoffice.org (CESA-2008:0538)

High Nessus Plugin ID 33172

Synopsis

The remote CentOS host is missing one or more security updates.

Description

Updated openoffice.org packages to correct two security issues are now available for Red Hat Enterprise Linux 3 and 4.

This update has been rated as having important security impact by the Red Hat Security Response Team.

OpenOffice.org is an office productivity suite that includes desktop applications such as a word processor, spreadsheet, presentation manager, formula editor, and drawing program.

Sean Larsson found a heap overflow flaw in the OpenOffice memory allocator. If a carefully crafted file was opened by a victim, an attacker could use the flaw to crash OpenOffice.org or, possibly, execute arbitrary code. (CVE-2008-2152)

It was discovered that certain libraries in the Red Hat Enterprise Linux 3 and 4 openoffice.org packages had an insecure relative RPATH (runtime library search path) set in the ELF (Executable and Linking Format) header. A local user able to convince another user to run OpenOffice in an attacker-controlled directory, could run arbitrary code with the privileges of the victim. (CVE-2008-2366)

All users of openoffice.org are advised to upgrade to these updated packages, which contain backported fixes which correct these issues.

Solution

Update the affected openoffice.org packages.

See Also

http://www.nessus.org/u?8061b7d6

http://www.nessus.org/u?a15969f1

http://www.nessus.org/u?f63e9955

http://www.nessus.org/u?79c1eecf

Plugin Details

Severity: High

ID: 33172

File Name: centos_RHSA-2008-0538.nasl

Version: 1.12

Type: local

Agent: unix

Published: 2008/06/16

Updated: 2019/10/03

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:centos:centos:openoffice.org, p-cpe:/a:centos:centos:openoffice.org-i18n, p-cpe:/a:centos:centos:openoffice.org-kde, p-cpe:/a:centos:centos:openoffice.org-libs, cpe:/o:centos:centos:3, cpe:/o:centos:centos:4

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

Patch Publication Date: 2008/06/14

Vulnerability Publication Date: 2008/06/10

Reference Information

CVE: CVE-2008-2152, CVE-2008-2366

RHSA: 2008:0538

CWE: 16, 189